Loading...
Searching...
No Matches
osim_chan_hdl Struct Reference

`#include <sim.h>`

## Data Fields

struct llist_head | list
| linked to card->channels
struct osim_card_hdl * | card
| card to which this channel belongs
const struct osim_file_desc * | cwd
| current working directory
struct osim_card_app_hdl * | cur_app
| currently selected application (if any)

## Field Documentation

## card

struct osim_card_hdl* osim_chan_hdl::card

card to which this channel belongs

Referenced by osim_print_sw_buf(), osim_sw_class(), osim_transceive_apdu(), and pcsc_card_open().

## cur_app

struct osim_card_app_hdl* osim_chan_hdl::cur_app

currently selected application (if any)

Referenced by osim_print_sw_buf(), and osim_sw_class().

## cwd

const struct osim_file_desc* osim_chan_hdl::cwd

current working directory

## list

struct llist_head osim_chan_hdl::list

linked to card->channels

Referenced by pcsc_card_open().

The documentation for this struct was generated from the following file:

- include/osmocom/sim/sim.h